- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

DirHandle - supply object methods for directory handles

# SYNOPSIS

        use DirHandle;
        $d = DirHandle->new(".");
        if (defined $d) {
            while (defined($_ = $d->read)) { something($_); }
            $d->rewind;
            while (defined($_ = $d->read)) { something_else($_); }
            undef $d;
        }

# DESCRIPTION

The `DirHandle` method provide an alternative interface to the opendir(), closedir(), readdir(), and rewinddir() functions.

The only objective benefit to using `DirHandle` is that it avoids namespace pollution by creating globs to hold directory handles.